MSK4ParserInternal::State Struct Reference

Internal: the state of a MSK4Parser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

shared_ptr< MWAWOLEParser > | m_oleParser
| the ole parser More...
shared_ptr< MSK4Zone > | m_mn0Parser
| parser of main text ole More...
shared_ptr< MSK4Zone > | m_headerParser
| parser of the header ole More...
shared_ptr< MSK4Zone > | m_footerParser
| parser of the footer ole More...
shared_ptr< MSK4Zone > | m_footnoteParser
| parser of the footnote ole More...
std::map< std::string, shared_ptr< MSK4Zone > > | m_frameParserMap
| the frame parsers: name-> parser More...
std::vector< std::string > | m_unparsedOlesName
| the list of unparsed OLEs More...

## Detailed Description

Internal: the state of a MSK4Parser.

## Constructor & Destructor Documentation

MSK4ParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

shared_ptr<MSK4Zone> MSK4ParserInternal::State::m_footerParser

parser of the footer ole

shared_ptr<MSK4Zone> MSK4ParserInternal::State::m_footnoteParser

parser of the footnote ole

std::map<std::string, shared_ptr<MSK4Zone> > MSK4ParserInternal::State::m_frameParserMap

the frame parsers: name-> parser

shared_ptr<MSK4Zone> MSK4ParserInternal::State::m_headerParser

parser of the header ole

shared_ptr<MSK4Zone> MSK4ParserInternal::State::m_mn0Parser

parser of main text ole

shared_ptr<MWAWOLEParser> MSK4ParserInternal::State::m_oleParser

the ole parser

std::vector<std::string> MSK4ParserInternal::State::m_unparsedOlesName

the list of unparsed OLEs

The documentation for this struct was generated from the following file:

- MSK4Parser.cxx